
from pyloadl import *

"""
    (rc, errObj) = ll_bind(res_id, job_list, bind_op):

    Enables you to bind or unbind one or more reservations

    Parameters - res_id, job_list, bind_op

        res_id   - Reservation ID i.e host.rid.r
                   This is set to NULL if bind_op = 1

        job_list - List of job steps to be bound or unbound

        bind_op  - 1 : unbind job list from their reservations
                   0 : bind job list to reservation ID

    Returns - Numeric indicating the return code of the operation

"""

res_id   = 'shivling.6.r'
job_list = []
bind_op  = 0

(rc, errObj) = ll_bind(res_id, job_list, bind_op)
print "Return : %d\n" % rc
if (errObj):
  ll_error(errObj,1)
