
from pyloadl import *

"""

  (rc, errObj) = ll_preempt(job_step, preempt_op)

  Return values :

     rc     - Return code for operation

     errObj - Provides a pointer to LL_element that points to an error object if this function fails.
              This can be passed onto the error function to output a error message.

  Parameters :

     job_step - Uses the following formats: "host.jobid.stepid," "jobid.stepid,".
                Where: host  : the name of the machine to which the job was submitted
                       jobid : the job ID assigned to the job by LoadLeveler
                       stepid: the job step ID assigned to a job step by LoadLeveler

     preempt_op - This can the following :
                  PREEMPT_STEP
                  RESUME_STEP
                  SYSTEM_PREEMPT_STEP

"""

job_step = 'shivling.localnet.276.0'

(rc, errObj) = ll_preempt(job_step, PREEMPT_STEP)
print "Return : %d\n" % rc
if (errObj):
  ll_error(errObj,1)
