
from pyloadl import *

"""
    Preempts currently running jobsteps or resumes a preempted jobstep

    Parameters - user_list, host_list, job_list, preempt_op, preempt_method

        user_list - List of users
        host_list - List of hosts
        job_list  - List of Jobsteps in the form host.job_id.step_id i.e shivling.5.0

        preempt_op - Operation to perform i.e

            PREEMPT_STEP
            RESUME_STEP

        preempt_method -

            LL_PREEMPT_SUSPEND
            LL_PREEMPT_VACATE
            LL_PREEMPT_REMOVE
            LL_PREEMPT_SYS_HOLD
            LL_PREEMPT_USER_HOLD

    Returns - Numeric indicating the return code of the operation
              and the second is a pointer to the ll_error object
"""

job_list = ["shivling.288.0", "shivling.289.0"]
user_list = []
host_list = []

(rc, errObj) = ll_preempt_jobs(user_list, host_list, job_list, PREEMPT_STEP, LL_PREEMPT_SUSPEND)
print "Return : %d\n" % rc
if (errObj):
  ll_error(errObj,1)
