
from pyloadl import *

"""

  rc, errObj = ll_remove_reservation(res_id, res_user, res_host, res_group)


  Return values :

     rc     - Return code for operation

     errObj - Provides a pointer to LL_element that points to an error object if this function fails.
              This can be passed onto the error function to output a error message. 

  Parameters :

     res_ids    - List of reservation IDs in format: "host.rid.r".
                  Where: host : The name of the machine to which the job was submitted
                         rid  : The reservation ID assigned when it was created
                         r    : Indicates that this a reservation (r is optional)

     res_users  - List of reservation owners

     res_hosts  - List of machine names

     res_groups - List of LoadLeveler groups

"""

res_ids    = ['shivling.localnet.6.r']
res_users  = []
res_hosts  = []
res_groups = []

(rc, errObj) = ll_remove_reservation(res_ids, res_users, res_hosts, res_groups)
print "Return : %d\n" % rc
if (errObj):
  ll_error(errObj,1)
